<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2006 Joram Querner
| http://www.have-fun.nl
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."warning_infusion/locale/".$settings['locale'].".php")) {
        // Load the locale file matching the current site locale setting.
        include INFUSIONS."warning_infusion/locale/".$settings['locale'].".php";
} else {
        // Load the infusion's default locale file.
        include INFUSIONS."warning_infusion/locale/English.php";
}

// Infusion general information
$inf_title = $locale['Wa100'];
$inf_description = $locale['Wa101'];
$inf_version = "1.2";
$inf_developer = "Joram";
$inf_email = "joram@have-fun.nl";
$inf_weburl = "http://phpfusion.have-fun.nl";

$inf_folder = "warning_infusion"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "warning_infusion_admin.php"; // The admin panel filename if required.

$inf_link_name = ""; // if not required replace $locale['xxx103']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = ""; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "warnings (
  id int(10) NOT NULL auto_increment,
  user_id int(10) NOT NULL default '0',
  status int(10) NOT NULL default '0',
  reason longtext NOT NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM AUTO_INCREMENT=1";

$inf_droptable_[1] = "warnings";
?>
